Return the details of the current license in use by the Octopus Cluster
GET /api
Response
200 — The requested License
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LicenseTextstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SerialNumberstring
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LicenseText": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"SerialNumber": "string"
}Update the current Octopus cluster license
PUT /api
Updates the license for the Octopus cluster.
Request Body
LicenseTextstringSerialNumberstring
Response
200 — Confirmation that the Current License has been modified, containing the new License
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LicenseTextstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SerialNumberstring
Example Request
{
"LicenseText": "string",
"SerialNumber": "string"
}Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LicenseText": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"SerialNumber": "string"
}Return a list of enabled features from the license
GET /api
Response
200 — The list of enabled features from the license
EnabledFeaturesarray of string
Example Response
{
"EnabledFeatures": [
"string"
]
}Get the status of the current Octopus license
GET /api
Calculates the status of the current Octopus license including compliance and maintenance expiry.
Response
200 — The requested License Status
ComplianceSummarystringDaysToEffectiveExpiryDateintegerDoesExpiryBlockKeyActivitiesbooleanEffectiveClusterTaskLimitintegerEffectiveExpiryDatestringEffectiveNodeTaskLimitintegerEffectiveStartDatestringHostingEnvironmentstringIdstring
Gets or sets a unique identifier for this resource.IsClusterTaskLimitControlledByLicensebooleanIsCompliantbooleanIsInitialisationLicensebooleanIsNodeTaskLimitControlledByLicensebooleanIsPtmbooleanIsTrialbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Limitsarray of objectCurrentUsageintegerDispositionenum
Allowed values:Information,Notice,Warning,Error.EffectiveLimitintegerEffectiveLimitDescriptionstringIsUnlimitedbooleanLicenseLimitDescriptionstringLicensedLimitintegerLimitStatusenum
Allowed values:UnderLimit,AlmostAtLimit,AtLimit,InOverrun,ExceedingLimit.MessagestringNamestringTargetTypesarray of string
Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Messagesarray of objectDispositionenum
Allowed values:Information,Notice,Warning,Error.MessagestringMessagePolicyenum
Allowed values:LicensePeriodPolicy,AuditStreamPolicy,InsightsLicensePolicy,TimeLimitedPolicy,MaintenancePeriodPolicy,TimeLimitedTestLicensePolicy,CommunityEditionPolicy,NodeLimitPolicy.
PermissionsModeenum
Allowed values:Unspecified,Restricted,Full.SerialNumberstring
Example Response
{
"ComplianceSummary": "string",
"DaysToEffectiveExpiryDate": 0,
"DoesExpiryBlockKeyActivities": true,
"EffectiveClusterTaskLimit": 0,
"EffectiveExpiryDate": "string",
"EffectiveNodeTaskLimit": 0,
"EffectiveStartDate": "string",
"HostingEnvironment": "string",
"Id": "string",
"IsClusterTaskLimitControlledByLicense": true,
"IsCompliant": true,
"IsInitialisationLicense": true,
"IsNodeTaskLimitControlledByLicense": true,
"IsPtm": true,
"IsTrial": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Limits": [
{
"CurrentUsage": 0,
"Disposition": "Information",
"EffectiveLimit": 0,
"EffectiveLimitDescription": "string",
"IsUnlimited": true,
"LicenseLimitDescription": "string",
"LicensedLimit": 0,
"LimitStatus": "UnderLimit",
"Message": "string",
"Name": "string",
"TargetTypes": [
"string"
]
}
],
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Messages": [
{
"Disposition": "Information",
"Message": "string",
"MessagePolicy": "LicensePeriodPolicy"
}
],
"PermissionsMode": "Unspecified",
"SerialNumber": "string"
}Get the usage of the current Octopus server
GET /api
Calculates the usage of the current Octopus server.
Response
200 — Success
Idstring
Gets or sets a unique identifier for this resource.IsPtmbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Limitsarray of objectCurrentUsageintegerDispositionenum
Allowed values:Information,Notice,Warning,Error.EffectiveLimitintegerEffectiveLimitDescriptionstringIsUnlimitedbooleanLicenseLimitDescriptionstringLicensedLimitintegerLimitStatusenum
Allowed values:UnderLimit,AlmostAtLimit,AtLimit,InOverrun,ExceedingLimit.LimitUsageDescriptionstringMessagestringNamestringTargetTypesarray of string
Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SpacesUsagearray of objectMachinesCountintegerProjectsCountintegerSpaceNamestringTenantsCountinteger
Example Response
{
"Id": "string",
"IsPtm": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Limits": [
{
"CurrentUsage": 0,
"Disposition": "Information",
"EffectiveLimit": 0,
"EffectiveLimitDescription": "string",
"IsUnlimited": true,
"LicenseLimitDescription": "string",
"LicensedLimit": 0,
"LimitStatus": "UnderLimit",
"LimitUsageDescription": "string",
"Message": "string",
"Name": "string",
"TargetTypes": [
"string"
]
}
],
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"SpacesUsage": [
{
"MachinesCount": 0,
"ProjectsCount": 0,
"SpaceName": "string",
"TenantsCount": 0
}
]
}